* Created by BB 8/1/2013
version 12

// Directories
/* Checking if I'm at work or at uni */
capture cd "C:\Users\bpb\Dropbox"
if _rc ==0 	{	// For UKC
	global dir	 "C:\Users\bpb\Dropbox"
	/**/	}
else		{	// For home
	global dir	 "C:\Documents and Settings\Ben\Desktop\Dropbox"
	/**/	}
global dir	"${dir}\WS\Stigma proposal 2012\1. TUC YouGov survey"
// Follow-on dirs
capture log close
	local cmth = month(date("`c(current_date)'", "DMY"))
	local cyr  = year(date("`c(current_date)'", "DMY"))
	log using "$dir\Logs\YouGov_TUC-`cyr'-`cmth'.txt", text append
global filename "TUCYouGov-v1-01"									// v1-00 Initial version
exit

// Cleaning etc
/* VERSION 1
cd "${dir}"
usespss using `"Results TUC - welfare benefits - 121221 YouGov SPSS_withpostcode_client.sav"'
drop POSTCODE
save "$filename", replace
*/

/* VERSION 1
cd "${dir}"
usespss using `"YouGov - TUC SPSS full - 29.01.13.sav"'
save "$filename", replace
*/


// Anonymised dataset
cd "${dir}"
use "$filename", replace


// Quick analysis for Inequality Briefing, comparing estimated value of benefits against estimated value of what you need to live on
clonevar needlive 	= TUC5
	replace needlive = . if needlive==9999999 
clonevar benlevel	= TUC6
	replace benlevel = . if benlevel==699999999
gen morelive = benlevel > needlive if ~missing(needlive) & ~missing(benlevel) 
gen lesslive = benlevel < needlive if ~missing(needlive) & ~missing(benlevel) 
	label var lesslive "Est ben level less than est  to live"
gen lessben  = needlive > 111.45 if ~missing(needlive) & ~missing(benlevel) 
	label var lessben "Est  to live greater than actual level (111.45)"
proportion lesslive lessben [pweight=W8]

